

import java.io.IOException;
import java.net.URL;
import java.util.ArrayList;
import java.util.ResourceBundle;

import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.stage.Stage;

public class PedidoClienteController implements Initializable{

    @FXML private ListView<String> listaPedido;
    @FXML private Button atras;
    @FXML private Button quitar;
    
    Cliente clienteActivo = SampleController.getClienteActivo();
    
    public void quitar1Clicked(){
    	String textAreaString = " ";
    	ObservableList listOfItems = listaPedido.getSelectionModel().getSelectedItems();
    	for(Object c: listOfItems) {
    		textAreaString += String.format("%s%n", (String) c); 
    	}
    	
    	String[] parts = textAreaString.split("           x ");
    	String part1 = parts[0];
    	String nombre = part1.substring(1);
    	
    	
    	for(Comida comida: clienteActivo.getPedido().getCarrito()) {
    		if(nombre.equals(comida.getNombre())) {
				comida.setCantidad(comida.getCantidad()-1);
				clienteActivo.getPedido().updateTotal(comida.getPrecio());
				updateView();
    		}
    	}
    	
	}
    
    public void updateView() {
    	listaPedido.getItems().clear();
    	for( Comida comida: clienteActivo.getPedido().getCarrito()) {
    		if (comida.getCantidad()>0)
    			listaPedido.getItems().add(comida.getNombre() + "           x " + comida.getCantidad());
        }
    }

    
    public void goBack(ActionEvent event) throws IOException {
        Parent SampleParent = FXMLLoader.load(getClass().getResource("Sample.fxml"));
        Scene SampleScene = new Scene(SampleParent);
        
        Stage window = (Stage)(((Node) event.getSource()).getScene().getWindow());
        window.setScene(SampleScene);
        window.show();
    }

    
    @Override
    public void initialize(URL arg0, ResourceBundle arg1) {
    	updateView();
        
        
        
    }
}